Loading...
Searching...
No Matches
EST_TNamedEnum< ENUM > Class Template Reference
Inheritance diagram for EST_TNamedEnum< ENUM >:
[legend]
Collaboration diagram for EST_TNamedEnum< ENUM >:
[legend]

## Public Member Functions

| EST_TNamedEnum (ENUM undef_e, const char *undef_n=NULL)
| EST_TNamedEnum (EST_TValuedEnumDefinition< ENUM, const char *, NO_INFO > defs[])
| EST_TNamedEnum (EST_TValuedEnumDefinition< const char *, const char *, NO_INFO > defs[], ENUM(*conv)(const char *))
EST_read_status | load (EST_String name)
EST_read_status | load (EST_String name, EST_TNamedEnum &definitive)
EST_write_status | save (EST_String name, char quote='"') const
EST_write_status | save (EST_String name, EST_TNamedEnum &definitive, char quote='"') const
Public Member Functions inherited from EST_TNamedEnumI< ENUM, NO_INFO >
const char * | name (ENUM tok, int n=0) const
Public Member Functions inherited from EST_TValuedEnumI< ENUM, const char *, NO_INFO >
int | n (void) const
ENUM | token (const char *value) const
ENUM | nth_token (int n) const
const char * | value (ENUM token, int n=0) const
NO_INFO & | info (ENUM token) const
ENUM | unknown_enum (void) const
const char * | unknown_value (void) const
int | valid (ENUM token) const

## Additional Inherited Members

Protected Member Functions inherited from EST_TNamedEnumI< ENUM, NO_INFO >
int | eq_vals (const char *v1, const char *v2) const
Protected Member Functions inherited from EST_TValuedEnumI< ENUM, const char *, NO_INFO >
void | initialise (const void *defs)
Protected Attributes inherited from EST_TValuedEnumI< ENUM, const char *, NO_INFO >
int | ndefinitions
ENUM | p_unknown_enum
const char * | p_unknown_value
EST_TValuedEnumDefinition< ENUM, const char *, NO_INFO > * | definitions

## Detailed Description

template<class ENUM>
class EST_TNamedEnum< ENUM >

Definition at line 148 of file EST_TNamedEnum.h.

## Constructor & Destructor Documentation

## EST_TNamedEnum() [1/3]

template<class ENUM>

EST_TNamedEnum< ENUM >::EST_TNamedEnum | ( | ENUM | undef_e,
|  | const char * | undef_n = NULL )

inline

Definition at line 153 of file EST_TNamedEnum.h.

## EST_TNamedEnum() [2/3]

template<class ENUM>

EST_TNamedEnum< ENUM >::EST_TNamedEnum | ( | EST_TValuedEnumDefinition< ENUM, const char *, NO_INFO > | defs[] | ) |

inline

Definition at line 155 of file EST_TNamedEnum.h.

## EST_TNamedEnum() [3/3]

template<class ENUM>

EST_TNamedEnum< ENUM >::EST_TNamedEnum | ( | EST_TValuedEnumDefinition< const char *, const char *, NO_INFO > | defs[],
|  | ENUM(* | conv )(const char *) )

inline

Definition at line 157 of file EST_TNamedEnum.h.

## Member Function Documentation

## load() [1/2]

template<class ENUM>

EST_read_status EST_TNamedEnum< ENUM >::load | ( | EST_String | name | ) |

inline

Definition at line 160 of file EST_TNamedEnum.h.

## load() [2/2]

template<class ENUM>

EST_read_status EST_TNamedEnum< ENUM >::load | ( | EST_String | name,
|  | EST_TNamedEnum< ENUM > & | definitive )

inline

Definition at line 161 of file EST_TNamedEnum.h.

## save() [1/2]

template<class ENUM>

EST_write_status EST_TNamedEnum< ENUM >::save | ( | EST_String | name,
|  | char | quote = '"' ) const

inline

Definition at line 162 of file EST_TNamedEnum.h.

## save() [2/2]

template<class ENUM>

EST_write_status EST_TNamedEnum< ENUM >::save | ( | EST_String | name,
|  | EST_TNamedEnum< ENUM > & | definitive,
|  | char | quote = '"' ) const

inline

Definition at line 163 of file EST_TNamedEnum.h.

The documentation for this class was generated from the following files:

- include/EST_TNamedEnum.h
- base_class/EST_TNamedEnum.cc